Google Cloud
probe Cloud Run

# get_service

Get a Cloud Run service

Run it now
View details

Type | probe
Module | chaosgcp.cloudrun.probes
Name | get_service
Return | mapping

Usage

JSON

    {
      "name": "get-service",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosgcp.cloudrun.probes",
        "func": "get_service",
        "arguments": {
          "name": ""
        }
      }
    }

YAML

    name: get-service
    provider:
      arguments:
        name: ''
      func: get_service
      module: chaosgcp.cloudrun.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
name | string |  | Yes | Service Path | Full service path

See https://cloud.google.com/python/docs/reference/run/latest/google.cloud.run_v2.services.services.ServicesClient#google_cloud_run_v2_services_services_ServicesClient_get_service

Signature

    def get_service(name: str,
                    configuration: Dict[str, Dict[str, str]] = None,
                    secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- Google Cloud
  probe Cloud Run

  ## `list_service_revisions`

  List all the Cloud Run service revisions
- Google Cloud
  probe Cloud Run

  ## `list_services`

  List all the Cloud Run services
- Google Cloud
  action Cloud Run

  ## `delete_service`

  Deletes a Cloud Run service